<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cf.imes.module.system.dal.mysql.process.ProcessUserMapper">

    <delete id="deleteUserByProcessId" parameterType="Long">
        DELETE FROM process_user
        WHERE process_id = #{processId};
    </delete>

    <select id="selectOneById" resultType="com.cf.imes.module.system.dal.dataobject.process.ProcessUserDO">
        select
            p.organ_id,
            p.process_id,
            p.user_id,
        from process_user p
        where p.organ_id = #{organId} and p.process_id = #{processId} and p.deleted = 0
    </select>
</mapper>
